------------------------------------------------------------------------------
--                                                                          --
--                An Ada2005 binding to the Qt C++ framework                --
--                                                                          --
------------------------------------------------------------------------------
--                                                                          --
-- Copyright © 2008 Vadim Godunko <vgodunko@gmail.com>                      --
--                                                                          --
-- QtAda is free software;  you can  redistribute it and/or modify it under --
-- terms of the  GNU General Public License as published  by the Free Soft- --
-- ware  Foundation;  either version 2,  or (at your option) any later ver- --
-- sion. QtAda is distributed in the hope that it will be useful, but WITH- --
-- OUT ANY WARRANTY;  without even the  implied warranty of MERCHANTABILITY --
-- or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License --
-- for  more details.  You should have  received  a copy of the GNU General --
-- Public License distributed with QtAda;  see file COPYING.  If not, write --
-- to  the  Free Software Foundation,  51  Franklin  Street,  Fifth  Floor, --
-- Boston, MA 02110-1301, USA.                                              --
--                                                                          --
-- As a special exception,  if other files  instantiate  generics from this --
-- unit, or you link  this unit with other files  to produce an executable, --
-- this  unit  does not  by itself cause  the resulting  executable  to  be --
-- covered  by the  GNU  General  Public  License.  This exception does not --
-- however invalidate  any other reasons why  the executable file  might be --
-- covered by the  GNU Public License.                                      --
--                                                                          --
------------------------------------------------------------------------------
--    This file has been generated automatically. Please don't edit it.     --
------------------------------------------------------------------------------
with Qt_Ada.Internals.Objects;

with Qt_Ada.Internals.Objects.Abstract_Print_Dialog_Proxies;
pragma Warnings (Off, Qt_Ada.Internals.Objects.Abstract_Print_Dialog_Proxies);
--  Elaboration of the proxy tagged type package register proxy object
--  constructor. Bindings must be able to create proxy object of the
--  corresponding tagged type for works properly.

package body Qt4.Abstract_Print_Dialogs is

   function fromPage_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, fromPage_0_wrapper,
                     "__Qt4Ada_QAbstractPrintDialog_fromPage_0_wrapper");

   function maxPage_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, maxPage_0_wrapper,
                     "__Qt4Ada_QAbstractPrintDialog_maxPage_0_wrapper");

   function minPage_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, minPage_0_wrapper,
                     "__Qt4Ada_QAbstractPrintDialog_minPage_0_wrapper");

   function printRange_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Abstract_Print_Dialogs.Abstract_Print_Dialog_Print_Range;
   pragma Import (C, printRange_0_wrapper,
                     "__Qt4Ada_QAbstractPrintDialog_printRange_0_wrapper");

   procedure setFromTo_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     From_Page : Qt4.Q_Integer;
     To_Page : Qt4.Q_Integer);
   pragma Import (C, setFromTo_0_wrapper,
                     "__Qt4Ada_QAbstractPrintDialog_setFromTo_0_wrapper");

   procedure setMinMax_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Min : Qt4.Q_Integer;
     Max : Qt4.Q_Integer);
   pragma Import (C, setMinMax_0_wrapper,
                     "__Qt4Ada_QAbstractPrintDialog_setMinMax_0_wrapper");

   procedure setPrintRange_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject;
     Rng : Qt4.Abstract_Print_Dialogs.Abstract_Print_Dialog_Print_Range);
   pragma Import (C, setPrintRange_0_wrapper,
                     "__Qt4Ada_QAbstractPrintDialog_setPrintRange_0_wrapper");

   function toPage_0_wrapper
    (Self : not null access Qt_Ada.Internals.Objects.QObject)
       return Qt4.Q_Integer;
   pragma Import (C, toPage_0_wrapper,
                     "__Qt4Ada_QAbstractPrintDialog_toPage_0_wrapper");

   pragma Style_Checks ("N");

   ---------------
   -- From_Page --
   ---------------

   function From_Page
    (Self : not null access constant Q_Abstract_Print_Dialog'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        fromPage_0_wrapper
         (Self.QObject_View);
   end From_Page;

   --------------
   -- Max_Page --
   --------------

   function Max_Page
    (Self : not null access constant Q_Abstract_Print_Dialog'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        maxPage_0_wrapper
         (Self.QObject_View);
   end Max_Page;

   --------------
   -- Min_Page --
   --------------

   function Min_Page
    (Self : not null access constant Q_Abstract_Print_Dialog'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        minPage_0_wrapper
         (Self.QObject_View);
   end Min_Page;

   -----------------
   -- Print_Range --
   -----------------

   function Print_Range
    (Self : not null access constant Q_Abstract_Print_Dialog'Class)
       return Qt4.Abstract_Print_Dialogs.Abstract_Print_Dialog_Print_Range
   is
   begin
      return
        printRange_0_wrapper
         (Self.QObject_View);
   end Print_Range;

   -----------------
   -- Set_From_To --
   -----------------

   procedure Set_From_To
    (Self : not null access Q_Abstract_Print_Dialog'Class;
     From_Page : Qt4.Q_Integer;
     To_Page : Qt4.Q_Integer)
   is
   begin
      setFromTo_0_wrapper
       (Self.QObject_View,
        From_Page,
        To_Page);
   end Set_From_To;

   -----------------
   -- Set_Min_Max --
   -----------------

   procedure Set_Min_Max
    (Self : not null access Q_Abstract_Print_Dialog'Class;
     Min : Qt4.Q_Integer;
     Max : Qt4.Q_Integer)
   is
   begin
      setMinMax_0_wrapper
       (Self.QObject_View,
        Min,
        Max);
   end Set_Min_Max;

   ---------------------
   -- Set_Print_Range --
   ---------------------

   procedure Set_Print_Range
    (Self : not null access Q_Abstract_Print_Dialog'Class;
     Rng : Qt4.Abstract_Print_Dialogs.Abstract_Print_Dialog_Print_Range)
   is
   begin
      setPrintRange_0_wrapper
       (Self.QObject_View,
        Rng);
   end Set_Print_Range;

   -------------
   -- To_Page --
   -------------

   function To_Page
    (Self : not null access constant Q_Abstract_Print_Dialog'Class)
       return Qt4.Q_Integer
   is
   begin
      return
        toPage_0_wrapper
         (Self.QObject_View);
   end To_Page;

end Qt4.Abstract_Print_Dialogs;
